#
# spec file for package monitoring-plugins-rsync
#
# Copyright (c) 2012-2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           monitoring-plugins-rsync
Summary:        Check rsync servers availability
License:        GPL-2.0+
Group:          System/Monitoring
Version:        1.02
Release:        4.1
Url:            https://www.monitoringexchange.org/inventory/Check-Plugins/Network/check_rsync
Source0:        check_rsync
Source1:        COPYING
Patch1:         monitoring-plugins-rsync-timeout.patch
Patch2:         monitoring-plugins-rsync-hidden_modules.patch
BuildRequires:  nagios-rpm-macros
%if 0%{?suse_version} > 1010
# nagios can execute the script with embedded perl
Recommends:     perl 
%endif
Requires:       rsync
Requires:       perl(Getopt::Long)
Provides:       nagios-plugins-rsync = %{version}-%{release}
Obsoletes:      nagios-plugins-rsync <= %{version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Checks rsync servers availability, as well as (optionally) individual
modules availability. It also supports authentication on modules.

Usage: check_rsync -H  [-p ] [-m [,,] [-m [,,]...]]

The only required argument is -H, in which case it will only try to
list modules on the Rsync server.

%prep
%setup -q -T -c %name
install -m644 %{SOURCE0} .
%patch1 -p0
%patch2 -p0

%build

%install
mkdir -p %buildroot/%{nagios_plugindir}
sed -e "s|/usr/local/nagios/libexec|%{nagios_plugindir}|g" check_rsync > %buildroot/%{nagios_plugindir}/check_rsync
chmod +x %buildroot/%{nagios_plugindir}/check_rsync

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %{nagios_libdir}
%dir %{nagios_plugindir}
%{nagios_plugindir}/check_rsync

%changelog
* Wed Jul 30 2014 lars@linux-schulserver.de
- renamed the package to monitoring-plugins-rsync
- fix COPYING file to include GPL-2.0+ as mentioned in source
* Mon Jul  2 2012 lars@linux-schulserver.de
- added monitoring-plugins-rsync-hidden_modules.patch to allow hidden
  rsync modules to be tested
- use nagios-rpm-macros in specfile
- Fix license: it's GPL 2 or newer
* Tue May  3 2011 lars@linux-schulserver.de
- add a patch to use the timeouts present in rsync itself
  ( monitoring-plugins-rsync-timeout.patch )
* Fri Apr  1 2011 coolo@novell.com
- licenses package is no more and upstream wants GPLv3, so adding
  COPYING
* Thu Nov 27 2008 lrupp@suse.de
- require licenses package (solves bnc #449756)
* Wed Nov 19 2008 lrupp@suse.de
- update to 1.02:
  + Kill rsync process on ALRM timeouts
    (Avoids leaving stale rsync processes behind)
  + More verbose Rsync errors
  + Commas in the password field should work
* Fri Jul 18 2008 lrupp@suse.de
- initial version 1.01
